;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
;<    |'\   |'\   |  |  |  |'\               |     |'\   |'\    /'\  |  |'\    >
;<    |  \  | /   |  |  |  |  \              |     |  \  | /   |  |  |  |  \   >
;<    |  /  | \   |  |  |  |  /     '| |'\  /|     |  /  | \   |  |  |  |  /   >
;<    |_/   |  \  \_/   |  |_/     ( | | | |_|     |_/   |  \  \_/   |  |_/    >
;vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
;<    A game for Amstrad CPC by Leosoft.       Code, gfx & music by Arnolde    >
;<                     === Entry for CPCRetrodev 2022 ===                      >
;vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;	dd-data1.asm - levels, missions, cutscenes and texts
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;##########
;# LEVELS #
;##########

__levels_lookuptable:
dw m1l1,m1l2,m1l3,m1l4,m1l5,m1l6,m1l7,m2l1,m2l2,m2l3,m2l4,m2l5,m2l6,m2l7
dw m3l1,m3l2,m3l3,m3l4,m3l5,m3l6,m3l7,m4l1,m4l2,m4l3,m4l4,m4l5,m4l6,m4l7
dw m5l1,m5l2,m5l3,m5l4,m5l5,m5l6,m5l7,m6l1,m6l2,m6l3,m6l4,m6l5,m6l6,m6l7
dw m7l1,m7l2,m7l3,m7l4,m7l5,m7l6,m7l7,m_epi

SYM_MOV equ #8
ALL_ITEMS equ #80
SWITCH_FAST equ #20
SWITCH_MEDIUM equ #40
SWITCH_SLOW equ #60


;FORMAT OF THE LEVEL INFO TABLE:
;*******************************

;0. starting tile wiz #YX
;1. starting tile bot
;2. items diversity & goal
			;goal in bcd, max #19 (bits 0-4)
			;bit 7 set  -> + items of previous missions
			;bits 6 & 5 -> Switch (0=off, 01-11=speed)
;3. speed	;high nibble = delay new items 0-F* 2* game Speed
			;bit 3 set  -> symmetric movement
			;bit 0-2 	 = game speed 0-7
;4. extras	;high nibble = probability 1up 0-F
			;low nibble  = probability bomb 0-F
;5. items rising, allowed regions
			;bits 7-1	 = 7 regions from left to right
;6. items falling, allowed regions
			;bits 7-1	 = 7 regions from left to right
;7. items horizontal, allowed regions
			;4 regions * 2 directions -> 1 byte %RRRRLLLL
;8. timer start
;9. - EOL bit = Level message/title
;after that = level map (compressed)

;MISSION 1 (STONEHENGE)
m1l1:
db #74,#7B,#03,#45
db #00,%0,%00111000,%0,#99
db "Mov",34,"lef",36,"@_righ",36,"t",30,"catch_",29,"em","s"+EOL
db #8F,#8F,#8F,#8F,#8F,#8F,#8F,#8F,#8F,#85
m1l2:
db #74,#7B,#05,#45,#00,%00,%0,%01000100,#80
db "L",25,"climb_ s",34,"ladd",26,"s",33+EOL
db #8F,#8F,#8F,#8F,#03,#82,#38,#83,#82,#38,#83,#82,#38,#83,#82,#38
db #3C,#FC,#D0
m1l3:
db #15,#1A,#08,#55,#00,%00,%01111100,%01100110,#70
db "W",34,"c",43,"_jump_off_",28,"platf",14,"ms","^"+EOL
db #8F,#8F,#8F,#8B,#3A,#23,#A2,#3A,#2B,#08,#23,#82,#38,#2B,#08,#23
db #82,#38,#2B,#08,#23,#82,#38,#2B,#0A,#23,#A2,#3A,#2B,#08,#23,#82
db #38,#23,#00
m1l4:
db #15,#1A,#10,#44,#00,%11111110,%11111110,%0,#75
db "S",20,34,23,39,"e",35,38,"_y",46,"r_way",33+EOL
db #8F,#8F,#8D,#C0,#88,#C0,#03,#A2,#3A,#23,#A2,#B0,#82,#38,#23,#82
db #B0,#82,#30,#C0,#03,#82,#B0,#82,#30,#C0,#03,#82,#3C,#E8,#E0
m1l5:
db #12,#1D,#10,#44,#00,%11111110,%11111110,%0,#70
db "Bew",27,34,16,28,"Gobl",38,"s","^"+EOL
db #8F,#8F,#8C,#34,#30,#50,#3C,#03,#05,#03,#43,#A0,#3A,#13,#A0,#3A
db #13,#A0,#80,#38,#13,#80,#38,#13,#82,#38,#13,#80,#38,#13,#82,#38
db #13,#80,#38,#13,#80,#3A,#CB,#08,#C3,#00
m1l6:
db #10,#1F,#06,#45,#50,%11111110,%11111110,%11111111,#87
db "Rega",38,"_live",35,31,28,"4UP=",29,"e","m"+EOL
db #8F,#8F,#58,#85,#80,#34,#34,#54,#3C,#03,#45,#43,#43,#A0,#3A,#13
db #A0,#3A,#13,#A0,#80,#38,#13,#80,#38,#13,#82,#38,#13,#80,#38,#13
db #82,#30,#40,#38,#03,#04,#03,#80,#3A,#CB,#08,#05,#81,#C0,#81,#58
db #03,#8F
m1l7:
db #74,#7B,#12,#44,#20,%10101010,%01010100,%10100101,#75
db "Jus",36,"s",20,34,"m",14,34,43,37,"w",34,27,34,"d",39,"e","^"+EOL
db #8F,#8D,#58,#33,#D0,#38,#35,#80,#34,#80,#38,#03,#80,#43,#80,#A0
db #3A,#1B,#2A,#13,#A0,#80,#38,#2B,#08,#23,#82,#38,#2B,#08,#23,#80
db #50,#38,#2B,#08,#23,#05,#A0,#3A,#83,#A0,#80,#38,#83,#80,#00

;MISSION 2 (COLOSSEUM)
m2l1:
db #74,#7B,#09,#44,#00,%0,%11111110,%0,#60
db "P",43,"em_e",36,"circ",15,"se",35+EOL
db #8F,#8F,#58,#75,#8F,#8F,#84,#58,#F8,#F8,#F8,#5A,#ED,#20
m2l2:
db #14,#1B,#10,#34,0,%0,%0,%00100010,#57
db "M",43,"u",35,"m",43,"um_lava","t"+EOL
db #8F,#8F,#8E,#58,#85,#80,#AE,#8F,#58,#A5,#0A,#E8,#E5,#8C,#58,#F0
m2l3:
db #13,#7D,#07,#44,#06,#FE,#FE,#FF,#95
db "New[_Th",34,"B",20,"b","^"+EOL
db #38,#CB,#08,#55,#84,#B0,#84,#54,#58,#33,#A2,#3A,#53,#A1,#82,#38
db #53,#84,#43,#85,#34,#80,#3A,#53,#A4,#B0,#85,#38,#4B,#08,#53,#84
db #3C,#ED,#20
m2l4:
db #37,#38,#10,#44,#02,0,0,#FF,#75
db "P",26,"_asp",26,19,"a",37,"a",23,"r","a"+EOL
db #05,#82,#38,#55,#03,#83,#38,#73,#83,#38,#82,#32,#0A,#23,#A2,#02
db #80,#38,#43,#86,#38,#05,#81,#30,#58,#4A,#10,#3A,#20,#A0,#3A,#18
db #23,#8D,#38,#53,#81,#50,#A5,#3A,#15,#8F
m2l5:
db #50,#5F,#07,#34,#22,#FE,#FE,#FF,#60
db "S",20,34,"dea",37,15,"d","s"+EOL
db #84,#30,#38,#B3,#03,#8B,#35,#38,#B3,#43,#85,#23,#A7,#3A,#20,#35
db #81,#50,#58,#03,#05,#81,#34,#81,#40,#48,#03,#04,#80,#A3,#3A,#13
db #A2,#32,#81,#50,#30,#50,#38,#23,#82,#40,#30,#40,#38,#23,#8F
m2l6:
db #41,#4d,ALL_ITEMS+#12,#53,#03,%11111110,%11111110,0,#65
db "Mushro",20,35,43,37,23,39,"e",35,"=_",49,44,"?"+EOL
db #8F,#81,#58,#55,#81,#58,#14,#05,#04,#05,#04,#81,#A0,#3A,#93,#28
db #03,#89,#38,#13,#89,#30,#3A,#93,#A1,#38,#93,#81,#38,#93,#80,#5A
db #E8,#F0
m2l7:
db #46,#4a,ALL_ITEMS+#15,#33,#20,0,0,#FF,#90
db "M",14,29,"uri_t",34,"salut",43,"t","^"+EOL
db #8F,#8D,#58,#15,#81,#58,#15,#81,#42,#32,#42,#32,#42,#32,#42,#32
db #80,#38,#13,#81,#38,#13,#81,#38,#13,#81,#38,#13,#03,#A1,#3A,#13
db #A1,#3A,#13,#81,#38,#13,#81,#38,#13,#05,#03,#05,#03,#05,#03,#05
db #0A,#04,#A1,#4A,#14,#A1,#42,#D2

;MISSION 3 (ATLANTIS)
m3l1:
db #34,#56,#06
db #43,#00,%0001111,%11100000,%11000011,#60
db "Fir",23,45,"l",25,"le",27,"n_t",30,"swim","^"+EOL
db #9F,#9F,#9F,#9F,#29,#2A,#29,#F9,#62,#9F,#9F,#9F,#94,#D2
m3l2:
db #61,#6E,#10
db #44,#00,0,0,%01110111,#60
db "S",49,24,35,43,37,"St",27,"s"+EOL
db #9F,#9F,#9C,#4A,#09,#B4,#91,#49,#2C,#02,#49,#1A,#19,#F9,#04,#9B
db #49,#2C,#12,#9F,#1C,#09,#34,#94,#C1,#D2
m3l3:
db #10,#1F,#08
db #43,#20,#FE,#FE,#FF,#70
db "Babysh",27,"k",45,"do",30,"do",30,"do","o"+EOL
db #39,#CB,#01,#59,#75,#90,#B0,#95,#59,#4B,#09,#15,#98,#B0,#9C,#32
db #93,#59,#55,#29,#A5,#9F,#91,#59,#55,#9F,#93,#8F
m3l4:
db #25,#2A,#09,#21,#13,0,%00010000,0,#65
db "Wat",26,"fa",24+EOL
db #94,#D2,#9F,#9F,#98,#59,#F9,#F9,#54,#96,#59,#3C,#19,#AC,#39,#8C
db #51,#D4,#1C,#28,#F0
m3l5:
db #30,#3f,ALL_ITEMS+#15,#33,#21,0,0,#FF,#80
db "Wh",30,"op",15,"e",37,28,"trunk","?"+EOL
db #96,#59,#F9,#55,#9C,#21,#29,#F3,#92,#C2,#91,#A1,#13,#92,#A3,#12
db #92,#31,#39,#B3,#13,#90,#A4,#59,#22,#13,#9A,#59,#03,#90,#C2,#91
db #8F
m3l6:
db #30,#3f,ALL_ITEMS+#07,#43+SYM_MOV,#23,%00111000,0,0,#68
db "Synchr",39,"ize",37,"Swimm",18+EOL
db #9F,#9F,#9F,#9F,#29,#42,#92,#29,#C2,#9F,#9F,#90,#29,#42,#9F,#91
db #8F
m3l7:
db #6E,#61,ALL_ITEMS+#15,#22+SYM_MOV,#32,0,%11000110,0,#71
db "C",39,"necte",37,"aga",38+EOL
db #9F,#90,#59,#65,#9F,#9F,#1C,#39,#4C,#39,#24,#94,#49,#75,#92,#59
db #84,#92,#49,#95,#90,#59,#A4,#90,#49,#48,#F0


;MISSION 4 (CHICHEN ITZA)
m4l1:
db #77,#78,#17,#33,#00,0,0,%00010001,#80
db "Ba`ax_k",19,"wa`alik","?"+EOL
db #8F,#8F,#8F,#8F,#8F,#8F,#8F,#8F,#86,#3A,#C3,#8F
m4l2:
db #87,#88,SWITCH_SLOW+#09,#24,#00,0,%11111110,0,#69
db "Kukulc",43,"_messe",35,31,"us",33+EOL
db #8F,#8F,#8F,#8F,#8F,#8F,#8F,#8F,#8F,#85
m4l3:
db #52,#5d,SWITCH_SLOW+#07,#23,#11,%11111110,%11111110,%11101110,#50
db "Arrib",19,"arriba","^"+EOL
db #8F,#8F,#8F,#81,#2B,#02,#8B,#B0,#89,#A1,#B0,#A1,#89,#B0,#87,#A3
db #B0,#A3,#87,#B0,#85,#AE,#D2
m4l4:
db #52,#5D,#12,#23,#21,%11111110,%11111110,%11101110,#65
db "D",43,"ce",35,31,"Snake","s"+EOL
db #8F,#8F,#8F,#81,#2B,#02,#89,#50,#B0,#05,#87,#A1,#B0,#A1,#85,#58
db #1B,#08,#15,#83,#A3,#B0,#A3,#81,#58,#3B,#08,#35,#0C,#ED,#20
m4l5:
db #16,#19,#06,#34,#40,%11000110,%11000110,00,#85
db "Jus",36,"jump",33+EOL
db #8F,#8F,#82,#2B,#02,#8B,#B0,#8C,#B0,#8C,#B0,#88,#48,#1B,#08,#14
db #86,#40,#B0,#04,#84,#50,#58,#1B,#08,#15,#05,#05,#05,#05,#80,#B0
db #80,#50,#50,#58,#F0
m4l6:
db #60,#6f,ALL_ITEMS+#16,#32,#20,%00010000,0,0,#60
db "Stairwa",40,"t",30,"Heav",15+EOL
db #58,#C5,#85,#B0,#8B,#3A,#03,#89,#34,#80,#43,#87,#3C,#08,#0C,#03
db #85,#34,#04,#80,#40,#43,#83,#34,#80,#48,#04,#80,#43,#81,#34,#81
db #48,#04,#81,#43,#03,#48,#24,#80,#48,#24,#34,#AC,#48,#F0
m4l7:
db #60,#6f,ALL_ITEMS+#09,#33,#21,%00111000,0,%11001100,#63
db "Stairwa",40,"t",30,"He",24+EOL
db #8F,#84,#B0,#8B,#3A,#03,#89,#32,#80,#23,#87,#32,#82,#23,#85,#32
db #84,#23,#83,#32,#81,#48,#22,#38,#13,#28,#34,#82,#23,#03,#28,#A2
db #B0,#80,#50,#50,#D0,#05,#05,#80,#38,#F0

;MISSION 5 (KINKAKUJI)
m5l1:
db #5B,#54,#07,#43,#11,0,%11111110,%00100010,#55
db "Yokos",30,"Jap",43,"^"+EOL
db #8F,#8F,#8F,#8F,#8F,#8F,#8B,#A1,#80,#A5,#09,#F9,#D8,#F0
m5l2:
db #7B,#74,#09,#33,#11,%11111110,%11111110,%00110011,#70
db "Sup",26,"dr","y"+EOL
db #8F,#8F,#8F,#8F,#8F,#8F,#83,#48,#53,#A0,#80,#3A,#33,#09,#F9,#D8
db #F0
m5l3:
db #8B,#84,#11,#32,#11,0,0,%11001100,#60
db "B",39,"sai=Samurai","^"+EOL
db #8F,#8F,#8F,#85,#53,#58,#C3,#86,#23,#80,#A1,#3A,#18,#35,#30,#58
db #13,#81,#58,#13,#A0,#01,#A1,#3A,#10,#9E,#49,#24,#92,#49,#24,#8F
m5l4:
db #62,#6D,#10,#52,#02,00000,%00010000,0,#90
db "Heav",15,"l",40,"Symmetr","y"+EOL
db #8F,#8F,#82,#3A,#03,#89,#34,#80,#43,#87,#3C,#0D,#0C,#03,#85,#3C
db #00,#A0,#0C,#03,#83,#3C,#0D,#4C,#03,#82,#A0,#C0,#A2,#C0,#A0,#80
db #93,#C0,#D0,#C0,#99,#C2,#94,#8F
m5l5:
db #5B,#54,ALL_ITEMS+#03,#21+SYM_MOV,#04,%01101110,0,0,#20
db 21,"yaku_",21,"yaku",33+EOL
db #8F,#8F,#8F,#85,#50,#58,#F8,#F8,#11,#8A,#54,#01,#23,#21,#0A,#13
db #A1,#C1,#51,#31,#59,#23,#90,#C3,#13,#14,#92,#31,#C1,#8F
m5l6:
db #3B,#64,ALL_ITEMS+#11,#43,#00,0,0,%00010001,#60
db "Pris",39,26,"_",16,28,"Samura","i"+EOL
db #8F,#88,#48,#F8,#AD,#00,#D0,#89,#A0,#4A,#08,#85,#83,#58,#7D,#08
db #1D,#08,#2A,#18,#03,#C3,#30,#9F,#9D,#8F
m5l7:
db #77,#78,ALL_ITEMS+#14,#21,#14,0,%11111110,0,#72
db "It`",35,"ra",38,18,"_",29,"em","s"+EOL
db #80,#58,#CC,#18,#55,#82,#C3,#80,#58,#14,#80,#50,#A8,#C1,#A1,#82
db #58,#2C,#38,#0A,#24,#A1,#C5,#20,#50,#C1,#0C,#7A,#E9,#F9,#D8,#F0

;MISSION 6 (NOTRE DAME)
m6l1:
db #26,#29,#06,#53,#00,0,%11111110,0,#43
db  19,"LITTLE_c",39,"fusi",39,"?"+EOL
db #8F,#8F,#8F,#8F,#80,#28,#02,#8F,#8F,#8F,#8F,#8F,#8F
m6l2:
db #53,#5C,#07,#53,#11,0,0,%01110111,#71
db "Brick_Chi","c"+EOL
db #8F,#8F,#04,#8D,#48,#63,#84,#A1,#3A,#03,#A1,#87,#38,#03,#87,#34
db #A0,#3A,#14,#38,#43,#48,#03,#81,#43,#84,#34,#0C,#20,#43,#48,#24
db #3C,#98,#F0
m6l3:
db #40,#4F,#08,#53,#22,%0001110,%11100000,%00100001,#60
db "In",23,43,36,"dea",50,"_b",40,"Gui",24,"ot",38,"e"+EOL
db #8F,#8F,#8F,#8E,#A1,#3A,#03,#A1,#84,#58,#03,#80,#38,#05,#84,#A1
db #38,#03,#A1,#87,#38,#03,#87,#3A,#18,#0A,#13,#84,#38,#05,#80,#58
db #03,#8F
m6l4:
db #16,#19,SWITCH_SLOW+#06,#33,#22,0,0,%00100010,#69
db "L",34,"Cauc",49,"m",27+EOL
db #83,#A4,#89,#A2,#86,#3C,#18,#2C,#13,#81,#30,#48,#04,#80,#48,#04
db #03,#80,#30,#24,#54,#80,#45,#42,#03,#80,#38,#0A,#1B,#0A,#18,#03
db #80,#38,#3B,#08,#33,#80,#38,#3B,#08,#33,#80,#38,#A3,#81,#38,#1D
db #28,#13,#8F
m6l5:
db #93,#9c,ALL_ITEMS+#13,#32,#11,%00010000,%00010000,0,#80
db "C`e",23,"_l",19,"vie","^"+EOL
db #81,#A1,#48,#04,#A1,#84,#38,#63,#84,#34,#05,#80,#50,#43,#84,#38
db #63,#84,#34,#38,#23,#43,#84,#34,#38,#23,#43,#84,#3C,#03,#80,#3C
db #03,#84,#34,#03,#80,#30,#43,#84,#3A,#63,#83,#53,#80,#4D,#04,#80
db #35,#8F
m6l6:
db #27,#47,ALL_ITEMS+#10,#32,#20,%00000,%000000,%00010001,#50
db "Ri",15,"_n",34,"v",19,"plus","?"+EOL
db #8F,#80,#48,#45,#88,#58,#24,#88,#48,#05,#0A,#08,#5A,#10,#28,#22
db #8A,#58,#74,#80,#52,#81,#42,#85,#42,#81,#24,#28,#84,#24,#02,#88
db #A0,#42,#05,#8F
m6l7:
db #63,#6c,ALL_ITEMS+#08,SYM_MOV+#53,#21,0,%11111110,%11101110,#70
db "M",15,"ag",34,19,"deu","x"+EOL
db #81,#3A,#03,#80,#3A,#03,#84,#38,#03,#80,#38,#03,#84,#34,#03,#80
db #30,#43,#84,#34,#03,#D0,#30,#43,#84,#3A,#63,#84,#38,#63,#84,#3A
db #03,#A0,#3A,#03,#84,#38,#03,#C0,#38,#03,#82,#50,#3C,#03,#C0,#3C
db #03,#05,#05,#40,#3C,#05,#C0,#5C,#03,#04,#58,#F0

;MISSION 7 (ISS)
m7l1:
db #47,#49,#05,#33,#20,%10101010,%01010100,%10100101,#60
db "Mov",18,"_w",29,"h",46,36,"grav",29,"y"+EOL
db #BF,#BF,#BF,#BF,#BF,#BF,#BF,#BF,#BF,#B5,#8F
m7l2:
db #21,#7E,#10,#33,#30,#FE,#FE,#FF,#90
db "Pl",43,"et",27,40,"b",46,"nc",18+EOL
db #BF,#B2,#4B,#FB,#FB,#FB,#34,#BF,#4B,#FB,#FB,#FB,#34,#B4,#8F
m7l3:
db #55,#5B,#08,#53,#20,0,0,#FF,#70
db "T",49,40,"look_famili",27,33+EOL
db #5B,#64,#B3,#5B,#34,#BF,#BF,#BF,#BF,#B1,#4B,#FB,#FB,#24,#B9,#5B
db #64,#B3,#58,#F0
m7l4:
db #80,#81,#07,#43,#00,%10,%10,0,#50
db "Milk",40,"wa","y"+EOL
db #BF,#B2,#5B,#35,#B4,#4B,#34,#BA,#4B,#34,#B4,#4B,#34,#BA,#4B,#34
db #B4,#4B,#34,#BA,#4B,#34,#B4,#5B,#35,#BF,#B4,#8F
m7l5:
db #47,#49,ALL_ITEMS+#08,#F0,#30,0,0,#FF,#77
db "met",26,14,29,34,"show",26+EOL
db #BF,#5B,#74,#BF,#35,#B1,#4B,#B5,#BC,#4B,#24,#BF,#B4,#4B,#24,#BF
db #35,#BF,#B3,#5B,#14,#8F
m7l6:
db #9F,#10,ALL_ITEMS+#01+SWITCH_FAST,#11,#50,0,0,%01100110,#08
db "Sp",48,34,"i",35,15,"dless",45,13,"m",34,"isn`t","^"+EOL
db #BD,#5B,#D5,#CA,#5B,#0D,#2B,#AD,#1B,#BD,#0B
db #BD,#1B,#AD,#2B,#05,#CA,#5B,#D5,#BD,#8F
m7l7:
db #61,#6E,ALL_ITEMS+#10,#42,#33,%11101110,%11101110,0,#81
db "T",49,"_F",38,"al_Fr",39,13,26+EOL
db #C0,#B2,#C2,#B2,#C0,#5B,#4D,#0B,#4D,#0B,#4D,#0B,#45,#4B,#4C,#0B
db #44,#5B,#4D,#0B,#4D,#0B,#4D,#0B,#45,#4B,#4C,#0B,#44,#5B,#4D,#0B
db #4D,#0B,#4D,#0B,#45,#C0,#B2,#C2,#B2,#C0,#8F

;EPILOGUE
;the epilogue is treated like the only level in mission 8
m_epi:
db #10,#10			;(avatar positions have to be reset)



;############
;# MISSIONS #
;############

__lut_missions:
dw __data_mission_1,__data_mission_2,__data_mission_3,__data_mission_4
dw __data_mission_5,__data_mission_6,__data_mission_7,__data_epilogue

__data_mission_1:
;texts
str "5475_BC"									;year
db "St",39,"eh",15,"ge",45,"Engl",43,"d"+EOL	;location
db "Mushro",20,"s"+EOL							;items for wiz
str "Diabase"									;items for bot
;no dialogue (intro instead)
db 0,EOT										;(no) dialogue
;default bg
db TILE_AIR
;mission graphics
;platform & ladder
db #4F,#0F,#BF,#67,#0F,#EF,#1F,#CF,#DF,#11,#0F,#2F,#00,#00,#00,#00
db #BF,#DF,#0F,#4F,#0F,#0F,#7F,#8F,#4F,#2F,#CC,#77,#00,#00,#00,#00
db #2F,#CC,#77,#0F,#0F,#3F,#CF,#0F,#FF,#4F,#2F,#FF,#00,#00,#00,#00
db #04,#00,#00,#02,#EA,#00,#00,#75,#B4,#CC,#33,#D2,#37,#F0,#F0,#CE
;3 obstacles (stones)
db #00,#8F,#0F,#4C,#11,#7F,#EE,#AE,#32,#FF,#DD,#57,#75,#FF,#EE,#9B
db #FD,#FF,#77,#EF,#FB,#FF,#FF,#EF,#FB,#FF,#FF,#67,#F7,#DD,#55,#EF
db #E6,#AA,#AA,#EF,#D5,#47,#5D,#67,#A2,#FB,#AE,#AB,#D5,#E6,#DF,#67
db #A2,#F7,#EF,#AB,#D5,#B3,#EF,#67,#EA,#D5,#CE,#9B,#75,#F8,#F3,#26
db #11,#0F,#0F,#EE,#32,#FF,#FF,#9F,#75,#DD,#FF,#EF,#75,#FF,#FF,#EF
db #D9,#FF,#BB,#AB,#EA,#FF,#FF,#EF,#D9,#FF,#FF,#EF,#EA,#BB,#FF,#EF
db #D9,#55,#77,#45,#F8,#AA,#AA,#AB,#F7,#5D,#55,#0F,#F7,#AE,#BA,#EF
db #D5,#DF,#75,#AB,#B3,#CE,#A8,#EF,#D5,#DF,#75,#67,#F8,#E2,#FE,#F1
db #11,#0F,#1F,#00,#32,#FF,#EF,#88,#75,#FF,#DD,#4C,#FB,#FF,#EE,#AE
db #FB,#FF,#77,#57,#F7,#77,#EE,#9B,#F7,#FF,#FF,#67,#F7,#FF,#FF,#EF
db #F7,#EE,#FF,#EF,#D5,#FF,#FF,#EF,#A2,#FF,#FF,#EF,#D5,#FF,#BB,#67
db #A2,#FF,#FE,#6F,#D5,#77,#FD,#AF,#EA,#DD,#EC,#DF,#74,#F0,#F0,#E2
;3 enemy frames (goblins)
db #60,#00,#C0,#31,#30,#BA,#C4,#74,#33,#F1,#88,#74,#30,#F0,#80,#60
db #64,#78,#C0,#C0,#F0,#F0,#F2,#80,#74,#F0,#F2,#00,#00,#70,#E2,#10
db #03,#38,#C7,#18,#16,#F0,#8F,#1E,#80,#75,#0F,#1E,#F3,#EF,#0F,#1E
db #70,#C3,#0F,#08,#00,#01,#0F,#00,#00,#01,#0C,#00,#00,#70,#C0,#00
db #60,#00,#10,#80,#30,#00,#30,#00,#31,#C0,#F2,#22,#10,#F0,#E0,#20
db #01,#60,#78,#74,#30,#F0,#F0,#74,#00,#30,#F0,#60,#00,#1C,#E0,#C0
db #81,#78,#FE,#80,#C1,#77,#1E,#32,#70,#87,#0F,#31,#30,#87,#0F,#6C
db #00,#07,#0F,#6A,#00,#07,#09,#48,#32,#87,#00,#00,#00,#F8,#00,#00
db #C0,#00,#00,#C0,#70,#00,#30,#80,#31,#C0,#F2,#00,#10,#F0,#E0,#00
db #32,#38,#34,#00,#32,#F0,#F0,#30,#F6,#80,#F0,#30,#D4,#07,#60,#60
db #D1,#96,#EE,#C0,#70,#FF,#1E,#80,#30,#87,#0F,#00,#00,#07,#0F,#00
db #00,#07,#0F,#39,#31,#07,#0B,#6A,#32,#87,#10,#C4,#00,#E8,#10,#88
;bg tilemap
db #00,#00,#68,#5D,#5C,#5D,#5D,#5D,#68,#00,#00,#00,#00,#00,#00,#00
db #00,#00,#00,#00,#00,#00,#00,#00,#00,#00,#5F,#00,#5D,#00,#00,#00
db #2F,#26,#27,#26,#27,#26,#28,#27,#26,#28,#27,#26,#27,#26,#27,#2F
db #2E,#24,#23,#24,#23,#24,#29,#23,#24,#29,#23,#24,#23,#24,#23,#2E
db #2A,#2C,#2A,#2C,#2A,#2B,#00,#2A,#2B,#00,#2A,#2B,#2D,#2B,#2D,#2B
db #30,#33,#30,#33,#30,#31,#00,#30,#31,#00,#30,#31,#32,#31,#32,#31
db #30,#33,#30,#33,#30,#31,#00,#30,#31,#00,#30,#31,#32,#31,#32,#31
db #30,#33,#30,#33,#30,#31,#00,#30,#31,#00,#30,#31,#32,#31,#32,#31
db #5B,#59,#5B,#59,#5B,#5B,#58,#5B,#5B,#58,#5B,#5B,#5A,#5B,#5A,#5B
db #00,#00,#00,#68,#00,#5D,#00,#00,#00,#68,#00,#00,#00,#68,#5D,#5C
;enemy animation info
db 10		;default 10-step left-right movement
;colors
db #44,#59,#47,#46	; 0,22,16,10

__data_mission_2:
;texts
str "3335_BC"
db "Colosseum",45,"R",20,"e"+EOL
db "Ba",40,"Leave","s"+EOL
db "Oliv",34,"Oi","l"+EOL
;dialogue
db 	1	;wiz speaks first
db 	1,	22,21,"v",34,"ga ,",37,15,46,"gh_mushro",20,"s",">"+EOL
db	2,	"I`m_d",39,34,31,28,23,39,"es",45,"too>_Bu",36,"no","w"+EOL
db		41,37,"g,as",34,42,"m",40,"ge",27,"s",">"+EOL
db	2,	"F",14,"_m",40,"po",13,39,45,28,"nex",36,18,",di",15,"t"+EOL
db 		"w",17,"be[_",SHC_wiz_item,"^"+EOL
db 	3,	SHC_wiz_item,33,"_An",37,SHC_bot_item,33+EOL
db 		22,47,"^"+EOL
db		"C",20,34,31,"m",34,38,"_m",40,13,"m",34,"m",48,"h",38,"e","^"+EOL
db	1,	"C",43,"_",22,"trus",36,29,"?_",22,"gues",35,"I`",24,"_",21,"v"
db		34,"to",33+EOL,EOT
;default bg
db TILE_AIR
;platform & ladder
db #87,#0F,#96,#0F,#87,#4B,#2D,#0F,#2D,#2D,#0F,#1E,#FF,#FF,#FF,#FF
db #2D,#2D,#0F,#1E,#87,#4B,#2D,#0F,#87,#0F,#96,#0F,#FF,#FF,#FF,#FF
db #2D,#0F,#4B,#0F,#0F,#4B,#2D,#2D,#0F,#4B,#0F,#4B,#FF,#FF,#FF,#FF
db #48,#00,#00,#21,#4B,#0F,#0F,#2D,#7B,#FF,#FF,#ED,#48,#00,#00,#21
;3 obstacles (column fragments)
db #47,#0F,#78,#E2,#BF,#FF,#FF,#FD,#6F,#F7,#FE,#F6,#5F,#FB,#DF,#FA
db #7F,#BF,#DF,#EF,#BF,#7F,#EF,#DF,#47,#CB,#97,#2E,#31,#F7,#F6,#8C
db #31,#F7,#E7,#8C,#31,#F7,#6F,#8C,#31,#7F,#6F,#8C,#13,#7F,#6F,#8C
db #13,#7F,#6F,#8C,#13,#7F,#6F,#8C,#13,#7F,#6F,#8C,#13,#7F,#6F,#8C
db #03,#0F,#F0,#C0,#31,#F7,#F6,#C8,#31,#F7,#F6,#8C,#31,#F7,#E7,#8C
db #31,#F7,#6F,#8C,#31,#7F,#6F,#8C,#13,#7F,#6F,#8C,#13,#7F,#6F,#8C
db #13,#7F,#6F,#8C,#13,#7F,#6F,#8C,#13,#7F,#6F,#8C,#13,#7F,#6F,#8C
db #07,#0F,#2D,#E0,#BF,#FF,#FF,#FD,#7F,#FF,#FF,#FE,#0F,#0F,#1E,#78
db #47,#0F,#F0,#E2,#31,#F7,#F6,#C8,#31,#F7,#F6,#8C,#31,#F7,#E7,#8C
db #31,#F7,#6F,#8C,#31,#F7,#6F,#8C,#31,#7F,#6F,#8C,#31,#7F,#6F,#8C
db #31,#7F,#6F,#8C,#13,#7F,#6F,#8C,#13,#7F,#6F,#8C,#13,#7F,#6F,#8C
db #13,#7F,#6F,#8C,#13,#7F,#6F,#8C,#13,#7F,#6F,#8C,#47,#0F,#F0,#E2
;3 enemy frames (tiger)
db #04,#02,#00,#00,#AE,#57,#00,#00,#0E,#07,#00,#00,#0F,#0F,#00,#00
db #C3,#69,#AB,#4C,#0B,#0B,#8F,#0E,#0F,#0F,#9F,#1F,#2C,#87,#AF,#4F
db #28,#83,#AF,#4F,#08,#03,#AF,#4F,#1C,#17,#AF,#8F,#07,#1D,#2F,#AF
db #00,#CD,#4F,#AF,#11,#2B,#00,#0B,#23,#46,#11,#3B,#42,#84,#23,#46
db #02,#00,#08,#00,#57,#11,#4C,#00,#07,#01,#0C,#00,#07,#0F,#0C,#00
db #BC,#1E,#A6,#00,#8E,#0E,#2E,#00,#8F,#0F,#2E,#13,#8F,#A1,#3F,#23
db #06,#A0,#0F,#89,#46,#00,#4F,#5D,#23,#41,#8F,#0D,#01,#0F,#1F,#2F
db #01,#8F,#AF,#1F,#13,#8F,#AF,#2E,#62,#8F,#CB,#4C,#A4,#57,#A4,#08
db #00,#08,#02,#00,#11,#4C,#57,#00,#01,#0C,#07,#00,#01,#0F,#0F,#00
db #23,#C3,#69,#88,#23,#0B,#0B,#88,#23,#0F,#0F,#88,#23,#2C,#87,#88
db #01,#28,#83,#08,#11,#08,#13,#4C,#00,#9C,#27,#4C,#00,#0F,#2F,#0C
db #01,#0F,#8F,#0C,#13,#AF,#2F,#0C,#63,#9F,#2F,#AC,#A4,#EF,#6E,#52
;bg tile map
db #3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F,#3F
db #3E,#3D,#3E,#3D,#3E,#3D,#3E,#3D,#3E,#3D,#3E,#3D,#3E,#3D,#3E,#3D
db #3A,#3B,#3A,#3C,#3A,#3B,#3A,#3C,#3A,#3B,#3A,#3C,#3A,#3B,#3A,#3C
db #39,#39,#39,#39,#39,#39,#39,#39,#39,#39,#39,#39,#39,#39,#39,#39
db #35,#36,#35,#36,#35,#36,#35,#36,#35,#36,#35,#36,#35,#36,#35,#36
db #34,#37,#34,#37,#34,#37,#34,#37,#34,#37,#34,#37,#34,#37,#34,#37
db #38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38
db #35,#36,#35,#36,#35,#36,#35,#36,#35,#36,#35,#36,#35,#36,#35,#36
db #34,#37,#34,#37,#34,#37,#34,#37,#34,#37,#34,#37,#34,#37,#34,#37
db #38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38,#38
;enemy anim info
db 10	; default 10-step left-right movement
;colors
db #5C,#52,#43,#5E ;3,18,25,12

__data_mission_3:
str "AD_3735"
db "Atl",43,13,"s",45,28,"Sunk",15,"_C",29,"y"+EOL
db "M",26,"mai",37,"Scale","s"+EOL
str "Seaweed"
db 	2	;bot speaks first
db	1,	"I`m_fu",24,40,"g,ased^_Now_",41,37,"fuel",">"+EOL
db	1,	"An",37,41,"d",33,"_",SHC_wiz_item,"^"+EOL
db	2,	"M",26,33,"_WHAT?_W",17,"y",46,33,"_ev",15+EOL
db		33,47,"?"+EOL
db	1,	"Maybe",33,"_",38,"_",1,"^"+EOL
db	2,	"OK",45,"dope>_",22,"c",17,"ge",36,"s",20,34,SHC_bot_item+EOL
db		" ,>_M",40,15,"g",38,34,"run",35,31,"alga",34,"fuel",">"+EOL
db	2, 	22,21,"v",34,"n",30,"ide",19,"w",21,36,"y",46,"`r",34,"talk",18+EOL
db 		"ab",46,"t",33,"_bu",36,"l",25,"go","^"+EOL,EOT
;default bg
db TILE_SEA
;platform & ladder
db #78,#F0,#E1,#F0,#D2,#B4,#F0,#B4,#F8,#E2,#DD,#E2,#74,#88,#00,#CC
db #F0,#E1,#F0,#F0,#F0,#78,#F0,#78,#DA,#E2,#F8,#F2,#74,#88,#32,#88
db #F0,#F0,#B4,#F0,#F0,#78,#F0,#D2,#BA,#E1,#E2,#74,#00,#74,#C4,#00
db #2E,#00,#00,#47,#7A,#88,#55,#E5,#C0,#FA,#F5,#30,#84,#22,#00,#12
;3 obstacles (underwater life)
db #23,#EA,#77,#33,#47,#EB,#2F,#1F,#9F,#F1,#8F,#CF,#22,#F1,#EE,#EA
db #F0,#F0,#F1,#F1,#FC,#F0,#E6,#EA,#32,#F0,#88,#FF,#3A,#F4,#99,#0F
db #74,#BA,#E7,#4F,#75,#15,#87,#4F,#22,#0E,#AF,#2F,#22,#51,#1F,#2F
db #75,#AF,#0F,#9F,#DA,#EB,#CF,#5F,#75,#63,#3F,#2F,#22,#01,#0F,#DF
db #04,#33,#8C,#AE,#4A,#FE,#99,#1F,#37,#F8,#E7,#0F,#FC,#D2,#F3,#1F
db #33,#F8,#F3,#5F,#88,#FE,#F5,#AA,#7F,#BA,#F3,#22,#8F,#7E,#F5,#75
db #9F,#3E,#F3,#DA,#9F,#0F,#F5,#75,#AF,#2F,#E2,#2A,#AF,#4F,#79,#00
db #4F,#8F,#79,#22,#5F,#1F,#FC,#F9,#AF,#6E,#32,#E2,#5F,#98,#19,#CC
db #FB,#A6,#77,#DB,#BC,#5D,#FE,#7D,#EB,#BB,#97,#BF,#FC,#FC,#FF,#FB
db #FC,#F1,#55,#6E,#76,#79,#AA,#5D,#FC,#F0,#DD,#22,#F9,#F2,#E6,#FD
db #F7,#F3,#DD,#EE,#DD,#C4,#BB,#5D,#BB,#D5,#77,#6E,#47,#AA,#FF,#FB
db #BC,#5D,#9F,#BF,#7B,#A6,#FE,#7D,#D6,#DB,#FF,#FB,#B6,#DB,#2D,#4B
;3 enemy frames (shark)
db #00,#70,#F0,#88,#00,#74,#FC,#C4,#22,#60,#32,#E2,#55,#40,#50,#E0
db #22,#00,#D1,#F1,#00,#10,#D1,#F0,#00,#FC,#D0,#F0,#33,#F0,#F0,#F0
db #74,#F0,#F0,#F0,#F8,#F0,#F0,#F0,#F0,#B4,#F2,#F0,#F0,#1A,#F9,#F1
db #F0,#B4,#F5,#E2,#1B,#F8,#F4,#C4,#05,#30,#F1,#E8,#30,#F0,#CC,#74
db #00,#10,#B1,#00,#00,#00,#F1,#88,#33,#00,#70,#88,#44,#88,#B0,#C4
db #33,#00,#F6,#C4,#00,#10,#F6,#E2,#00,#76,#F2,#E2,#11,#F8,#F0,#E2
db #32,#F0,#F0,#E2,#74,#F0,#F2,#E2,#70,#E1,#F1,#E2,#70,#C2,#79,#C4
db #05,#25,#F0,#C4,#00,#10,#F0,#88,#21,#34,#F2,#80,#FE,#F0,#80,#C0
db #00,#74,#32,#88,#00,#32,#F1,#00,#33,#00,#C0,#00,#44,#98,#EA,#22
db #44,#98,#6A,#55,#33,#30,#E4,#22,#00,#30,#B5,#00,#00,#77,#F4,#88
db #11,#F0,#D2,#C4,#74,#F0,#F0,#C4,#DA,#F0,#B4,#C4,#8D,#F0,#1A,#C4
db #52,#0A,#B4,#88,#64,#00,#71,#00,#E9,#05,#70,#88,#F6,#F0,#F6,#C4
;bg image map
db #57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57
db #00,#00,#68,#5E,#00,#00,#00,#00,#00,#00,#00,#00,#5E,#00,#00,#00
db #28,#36,#27,#00,#00,#5D,#00,#68,#00,#68,#5D,#00,#00,#00,#00,#00
db #09,#09,#09,#30,#2F,#68,#5D,#42,#00,#26,#27,#5D,#2F,#00,#5E,#10
db #0A,#0A,#0A,#30,#0C,#00,#68,#32,#00,#22,#20,#20,#20,#52,#00,#24
db #58,#59,#5A,#2C,#07,#5D,#51,#33,#00,#35,#35,#35,#35,#35,#53,#30
db #5C,#42,#5C,#33,#07,#2F,#0C,#32,#5C,#34,#34,#34,#34,#34,#34,#30
db #5C,#51,#2D,#2B,#07,#50,#07,#33,#2D,#5B,#59,#5A,#5B,#5A,#5B,#52
db #67,#51,#2A,#2D,#5B,#2C,#07,#67,#66,#05,#05,#05,#05,#5C,#51,#55
db #2A,#23,#24,#32,#5C,#33,#07,#2A,#66,#5B,#59,#51,#50,#55,#4E,#4E
;enemy anim info
db 10	; default 10-step left-right movement
;colors
db #55,#53,#4F,#5f ;2,20,17,14

__data_mission_4:
str "4357_BC"
db "Chich",15,"_Itza",45,"May",19,"Empi",44+EOL
db "Quetzal_Fea",50,26,"s"+EOL
db "Natural_Rubb",26+EOL
db 1	;wiz speaks first
db 2,	"W",21,36,43,"_adv",15,"tu,^_Next",45,41,37," "+EOL
db		"fea r#",16,19,"hol",40,"bir",37,42,"m",40,"po",13,39,">"+EOL
db	2,	"Hmm",33,"_",43,37,41,37,SHC_bot_item+EOL
db		42,"m",40,"ty,#",43,37,"belts",">"+EOL
db	2,	"I",35,32,"r",34,43,40,"pl",48,"e",33+EOL
db		 14,"_",13,"me","?"+EOL
db	1,	"Yes",45,22,47,"^"+EOL,EOT
;default bg
db TILE_AIR
;platform & ladder
db #F0,#F7,#FF,#9E,#F0,#C7,#F0,#BC,#F0,#D6,#F0,#F8,#FF,#FC,#F0,#FF
db #F3,#FF,#CF,#F0,#E3,#78,#D6,#F0,#E3,#F0,#F4,#F0,#FE,#F0,#F7,#FF
db #F1,#FF,#EF,#78,#F1,#3C,#E3,#F0,#F1,#78,#F2,#F0,#FF,#F0,#F3,#FF
db #78,#F0,#F0,#E1,#5D,#55,#55,#45,#08,#00,#00,#01,#08,#00,#00,#01
;3 obstacles (mural blocks)
db #F8,#F1,#BF,#DF,#F0,#F0,#1F,#8F,#F3,#FC,#8F,#9F,#F2,#F4,#EF,#3F
db #F2,#F4,#CF,#7F,#F3,#FC,#9F,#1F,#F0,#F0,#1F,#8F,#F8,#F1,#BF,#DF
db #BF,#DF,#F8,#F1,#1F,#8F,#F0,#F0,#9F,#1F,#F3,#FC,#CF,#7F,#F2,#F4
db #EF,#3F,#F2,#F4,#8F,#9F,#F3,#FC,#1F,#8F,#F0,#F0,#BF,#DF,#F8,#F1
db #F8,#F1,#BF,#DF,#F0,#F0,#1F,#8F,#F3,#FC,#8F,#9F,#F2,#F4,#EF,#3F
db #F2,#F4,#CF,#7F,#F3,#FC,#9F,#1F,#F0,#F0,#1F,#8F,#F8,#F1,#BF,#DF
db #FB,#DF,#8F,#1F,#F1,#8F,#0F,#0F,#F9,#1F,#3F,#CF,#FC,#7F,#2F,#4F
db #EF,#F3,#2F,#4F,#8F,#F9,#3F,#CF,#1F,#F8,#0F,#0F,#BF,#FD,#8F,#1F
db #8F,#1F,#BF,#FD,#0F,#0F,#1F,#F8,#3F,#CF,#8F,#F9,#2F,#4F,#EF,#F3
db #2F,#4F,#FC,#7F,#3F,#CF,#F9,#1F,#0F,#0F,#F1,#8F,#8F,#1F,#FB,#DF
db #FB,#FD,#F8,#F1,#F1,#F8,#F0,#F0,#F9,#F1,#F3,#FC,#FC,#F7,#E3,#7C
db #FE,#F3,#E3,#7C,#F8,#F9,#F3,#FC,#F1,#F8,#F0,#F0,#F9,#FD,#F8,#F1
;3 enemy frames (snake)
db #76,#87,#0F,#4C,#F8,#E1,#A5,#A6,#F1,#F0,#F0,#5B,#F0,#E1,#0F,#A5
db #D2,#F1,#01,#4B,#3C,#E2,#00,#69,#15,#88,#00,#4B,#00,#00,#00,#69
db #06,#00,#00,#4B,#69,#00,#00,#69,#2D,#00,#00,#4B,#5A,#08,#01,#A5
db #2D,#87,#1E,#4B,#8F,#F0,#E1,#97,#47,#5A,#5A,#2E,#23,#0F,#0F,#4C
db #23,#0F,#0F,#4C,#47,#5A,#5A,#2E,#9E,#78,#E1,#97,#2D,#87,#1E,#4B
db #5A,#08,#01,#A5,#2D,#00,#00,#4B,#69,#00,#00,#69,#3C,#00,#00,#4B
db #B4,#00,#00,#69,#F0,#88,#00,#4B,#F0,#C4,#00,#69,#F4,#C4,#01,#87
db #F0,#C5,#1E,#4B,#DA,#9A,#F0,#97,#03,#0B,#A5,#2E,#01,#01,#0F,#4C
db #23,#0F,#0F,#4C,#47,#A5,#A5,#A6,#AD,#F0,#F0,#5B,#5A,#0F,#0F,#87
db #2D,#08,#01,#69,#69,#00,#00,#4B,#2D,#00,#00,#69,#69,#00,#00,#4B
db #2D,#00,#00,#69,#69,#00,#00,#4B,#2D,#11,#CC,#2D,#69,#7E,#E2,#8F
db #3C,#F0,#E1,#17,#9E,#3C,#C3,#00,#47,#78,#E9,#08,#23,#F0,#E2,#00
;bg image map
db #68,#5D,#5C,#5C,#5D,#68,#3C,#3C,#3C,#3C,#00,#68,#5D,#5D,#5C,#5D
db #00,#00,#00,#00,#00,#00,#22,#20,#20,#21,#00,#00,#68,#5D,#5D,#00
db #00,#00,#00,#00,#00,#00,#24,#25,#25,#23,#00,#00,#00,#00,#00,#00
db #00,#00,#00,#00,#00,#1E,#1D,#12,#13,#19,#1A,#00,#00,#00,#00,#00
db #00,#00,#00,#00,#1F,#1C,#16,#12,#13,#16,#18,#1B,#00,#00,#00,#00
db #51,#53,#00,#1E,#1D,#17,#17,#12,#13,#17,#17,#19,#1A,#00,#00,#53
db #2B,#2A,#1F,#1C,#16,#16,#16,#12,#13,#16,#16,#16,#18,#1B,#00,#51
db #31,#1E,#1D,#17,#17,#17,#17,#12,#13,#17,#17,#17,#17,#19,#1A,#2B
db #14,#1C,#16,#16,#16,#16,#16,#12,#13,#16,#16,#16,#16,#16,#18,#15
db #00,#5D,#68,#5D,#5C,#58,#5A,#5B,#5B,#59,#58,#5C,#5D,#68,#00,#00
;enemy anim info
db #86	;double-mirrored, 6-step movement
;colors
db #58,#42,#43,#40 ;4,19,25,13

__data_mission_5:
str "AD_4775"
db "K",38,"kaku=ji",45,"Kyoto",45,"Jap",43+EOL
db "G",44,15,"_Te","a"+EOL
str "Gold"
db 2	;bot speaks first
db 2,	"M",40,"circu",29,"#",27,34,"ru",23,"y",45,41,"d"+EOL
db		SHC_bot_item,"_t",30,"d",30,"s",20,34,"sold",26,18,">"+EOL
db 2,	"Nex",36,39,"_m",40,"li",23,"[_Ar",20,"a",13,"c_Leaves",33,"_Bu","t"+EOL
db		 22,"d",39,"`",36,47,33+EOL
db 1,	"Hav",34,"y",46,"_ev",26,"_",49,27,37,16,SHC_wiz_item,"?"+EOL
db 1,	"No",45,"s",46,"nd",35,38,"te,",23,18,33+EOL
db 1,	"Yes",45,43,37,22,"know_wh",26,34,"t",30,"go","^"+EOL,EOT
;default bg
db TILE_AIR
;platform & ladder
db #2F,#0F,#2F,#0F,#2D,#0F,#2D,#0F,#FF,#FF,#FF,#FF,#00,#00,#00,#00
db #0F,#4F,#0F,#8F,#0F,#4B,#0F,#87,#FF,#FF,#FF,#FF,#00,#00,#00,#00
db #2F,#0F,#8F,#4F,#2D,#0F,#87,#4B,#FF,#FF,#FF,#FF,#00,#00,#00,#00
db #10,#00,#00,#80,#8F,#0F,#0F,#1F,#11,#00,#00,#88,#10,#00,#00,#80
;3 obstacles (sake casks)
db #23,#0F,#0F,#2E,#74,#F0,#F0,#F1,#52,#5A,#5A,#5A,#47,#0F,#0F,#0F
db #63,#DF,#FF,#1F,#63,#0F,#AF,#3E,#47,#1F,#FF,#3E,#07,#DF,#BF,#1F
db #47,#1F,#BF,#0F,#63,#5F,#1F,#1F,#63,#5F,#FF,#3E,#47,#9F,#1F,#3E
db #07,#9F,#FF,#1F,#47,#0F,#0F,#1F,#67,#A5,#A5,#B7,#32,#F0,#F0,#E2
db #23,#0F,#0F,#2E,#76,#5A,#5A,#7B,#74,#F0,#F0,#F1,#70,#F1,#FC,#F1
db #74,#F2,#F2,#E3,#36,#E5,#3D,#E3,#36,#FB,#FE,#F9,#74,#CB,#1E,#F8
db #70,#FB,#FE,#F9,#74,#E5,#3D,#E3,#36,#F2,#F2,#E3,#36,#F1,#FC,#F1
db #74,#F0,#F0,#F0,#25,#A5,#A5,#A5,#47,#0F,#0F,#1F,#32,#F0,#F0,#E2
db #32,#FA,#FA,#EA,#77,#FF,#FF,#FF,#52,#5A,#5A,#5B,#65,#B7,#A5,#F7
db #36,#7C,#DA,#8F,#27,#F4,#BD,#3F,#36,#7B,#5B,#2F,#27,#A5,#B5,#3F
db #36,#5A,#5B,#2F,#27,#B7,#B5,#3F,#36,#7C,#DA,#8F,#65,#F4,#AD,#F7
db #52,#7B,#5A,#5A,#25,#A5,#A5,#A5,#77,#FF,#FF,#FF,#23,#AF,#AF,#AE
;3 enemy frames (Samurai)
db #C8,#C0,#C0,#00,#D1,#F0,#C4,#00,#C1,#0F,#80,#00,#C7,#05,#08,#00
db #C7,#0F,#78,#00,#C7,#03,#78,#80,#E7,#03,#E1,#80,#C1,#1E,#87,#00
db #1E,#F0,#0E,#00,#07,#0F,#2C,#00,#CB,#0F,#78,#88,#F1,#F0,#F8,#C4
db #E3,#F0,#FB,#0C,#07,#0C,#03,#0E,#03,#68,#01,#3C,#F0,#E0,#30,#F0
db #DD,#C0,#C0,#00,#E8,#F0,#C0,#00,#65,#0F,#C4,#00,#30,#05,#08,#00
db #12,#87,#78,#00,#23,#E3,#69,#08,#11,#79,#F0,#0C,#00,#9E,#87,#0C
db #10,#C7,#0F,#08,#10,#E3,#F8,#00,#74,#F0,#F0,#88,#F8,#F8,#F8,#C4
db #F8,#F8,#F4,#0C,#07,#0C,#03,#0E,#03,#68,#01,#3C,#F0,#E0,#30,#F0
db #30,#F3,#E8,#00,#33,#F0,#FF,#0C,#1D,#3C,#F0,#2E,#0D,#0A,#2F,#6A
db #0D,#0F,#0D,#08,#0D,#5D,#2D,#08,#3C,#08,#69,#88,#78,#87,#F1,#00
db #F8,#F0,#E0,#00,#32,#F0,#E2,#00,#33,#F6,#FE,#88,#74,#F4,#F4,#C4
db #74,#F4,#F4,#C4,#03,#0C,#07,#08,#03,#0C,#07,#08,#F0,#C0,#70,#E0
;bg image map
db #00,#00,#00,#00,#00,#49,#4B,#00,#00,#00,#00,#00,#00,#00,#68,#5D
db #00,#00,#00,#68,#00,#00,#00,#00,#00,#00,#49,#4A,#4B,#00,#00,#68
db #00,#5F,#00,#00,#00,#68,#00,#00,#00,#40,#46,#43,#47,#41,#00,#00
db #00,#00,#68,#00,#00,#00,#00,#00,#00,#32,#25,#32,#25,#33,#00,#00
db #00,#00,#00,#00,#53,#54,#00,#00,#40,#46,#48,#45,#44,#47,#41,#00
db #00,#00,#00,#53,#51,#52,#00,#00,#4D,#4E,#4E,#4E,#4F,#4E,#4C,#00
db #00,#00,#00,#26,#50,#27,#00,#00,#56,#55,#56,#55,#56,#55,#56,#00
db #57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57,#57
db #00,#00,#00,#5D,#5C,#5D,#00,#00,#5D,#5C,#5C,#5C,#5C,#5C,#5D,#00
db #00,#00,#00,#68,#5D,#00,#00,#00,#00,#5D,#5C,#5C,#5C,#5D,#00,#00
;enemy anim info
db 10	; default 10-step left-right movement
;colors
db #56,#5A,#4E,#5E ;9,21,15,12

__data_mission_6:
str "AD_4963"
db "Notr",34,"Dam",34,"d",34,"P",27,"i","s"+EOL
str "Frogs"
str "Glass"
db 1	;wiz speaks first
db 1, 	"M",40,"nex",36,18,44,"di",15,"t",35,27,34,SHC_wiz_item,">"+EOL
db 3,	 "An",37,41,37,SHC_bot_item,"_",42,"m",40,"display",">"+EOL
db		"Wa",29,33,"_Th",34,"F",44,"nch_ea",36,SHC_wiz_item,"^"+EOL
db		"L",25,"visi",36,SHC_location,"^"+EOL
db 2,	"But",33,"_",50,"i",35,13,"m",34,"trave",24,18,"_make",35,"m","e"+EOL
db		"dizzy>_",22,"fel",36,"v",26,40,23,"r",43,"g",34,"las",36,13,"me",33+EOL
db 2,	"D",39,"`",36,"w",14,"ry>_S",20,"e",13,"me",35,32,"r",34,"i",35,19,"l",29,"tl","e"+EOL
db 		"c",39,"fusi",39,"_aft",26,"_l",43,"d",18,45,"no",50,18,"_mo,",">"+EOL
db 1,	"Now_t",21,"t`",35,"ex",48,"tl",40,"w",21,36,22,"fe",27,"^"+EOL,EOT
;default bg
db TILE_AIR
;platform & ladder
db #5B,#5A,#5B,#5A,#A5,#AD,#A5,#AD,#88,#00,#00,#11,#00,#00,#00,#00
db #5E,#5B,#5A,#5E,#A7,#A5,#AD,#AD,#88,#00,#00,#11,#00,#00,#00,#00
db #5A,#5E,#5B,#5A,#A5,#AD,#A7,#A5,#88,#00,#00,#11,#00,#00,#00,#00
db #FB,#FF,#FF,#FD,#C3,#0F,#0F,#3C,#FB,#FF,#FF,#FD,#40,#00,#00,#20
;3 obstacles (wall)
db #00,#00,#00,#00,#0F,#07,#0F,#07,#0F,#07,#0F,#07,#0F,#07,#0F,#07
db #0F,#07,#0F,#07,#00,#00,#00,#00,#0F,#0E,#0F,#0E,#0F,#0E,#0F,#0E
db #0F,#0E,#0F,#0E,#0F,#0E,#0F,#0E,#0F,#7C,#F0,#00,#00,#32,#FD,#1E
db #07,#1F,#2B,#0F,#07,#0F,#0B,#0F,#07,#0F,#0B,#0F,#07,#0F,#0B,#0F
db #00,#00,#11,#E2,#0F,#07,#1F,#C7,#0F,#07,#0F,#8F,#0F,#07,#0F,#07
db #0F,#07,#0F,#07,#1F,#F0,#88,#00,#00,#F9,#0F,#0E,#0F,#6E,#0F,#0E
db #0F,#0E,#0F,#0E,#0F,#0E,#0F,#0E,#0F,#0E,#0F,#0E,#80,#00,#00,#00
db #07,#0F,#0B,#0F,#07,#0F,#0B,#0F,#07,#0F,#0B,#0F,#07,#0F,#0B,#0F
db #00,#00,#00,#00,#0F,#0E,#0F,#0F,#0F,#0E,#0F,#0F,#0F,#0E,#0F,#0F
db #0F,#0E,#0F,#0F,#00,#00,#00,#00,#0F,#2B,#0F,#0E,#0F,#2B,#0F,#0E
db #0F,#0B,#0F,#0E,#0F,#0B,#0F,#0E,#0F,#0B,#0F,#0E,#00,#00,#00,#00
db #07,#0F,#0D,#0F,#07,#0F,#0D,#0F,#07,#0F,#0D,#0F,#07,#0F,#0D,#0F
;3 enemy frames (Guillotine)
db #0F,#0F,#0F,#0F,#7F,#FF,#FF,#EF,#7F,#FF,#FF,#E3,#7F,#FF,#F3,#01
db #7F,#F3,#00,#01,#79,#00,#00,#01,#08,#00,#00,#01,#08,#00,#00,#01
db #08,#00,#00,#01,#08,#00,#00,#01,#08,#00,#00,#01,#08,#00,#00,#01
db #0F,#08,#01,#0F,#0F,#0C,#03,#0F,#0F,#0F,#0F,#0F,#C3,#0F,#0F,#3C
db #0F,#0F,#0F,#0F,#08,#00,#00,#01,#08,#00,#00,#01,#08,#00,#00,#01
db #7F,#FF,#FF,#EF,#7F,#FF,#FF,#EF,#7F,#FF,#FF,#E3,#7F,#FF,#F3,#01
db #7F,#F3,#00,#01,#79,#00,#00,#01,#08,#00,#00,#01,#08,#00,#00,#01
db #0F,#08,#01,#0F,#0F,#0C,#03,#0F,#0F,#0F,#0F,#0F,#C3,#0F,#0F,#3C
db #0F,#0F,#0F,#0F,#08,#00,#00,#01,#08,#00,#00,#01,#08,#00,#00,#01
db #08,#00,#00,#01,#08,#00,#00,#01,#08,#00,#00,#01,#08,#00,#00,#01
db #08,#00,#00,#01,#08,#00,#00,#01,#7F,#FF,#FF,#EF,#7F,#FF,#FF,#EF
db #0F,#7F,#EF,#0F,#0F,#3D,#CF,#0F,#0F,#0F,#0F,#0F,#C3,#0F,#0F,#3C
;bg image map
db #00,#00,#00,#0D,#0E,#0E,#0F,#00,#00,#0D,#0E,#0E,#0F,#68,#5C,#5D
db #00,#68,#5D,#0B,#05,#05,#0B,#00,#00,#0B,#05,#05,#0B,#00,#68,#00
db #00,#00,#00,#0B,#06,#06,#0B,#00,#5D,#0B,#06,#06,#0B,#00,#00,#00
db #00,#00,#00,#0B,#06,#06,#0B,#49,#4B,#0B,#06,#06,#0B,#00,#5E,#00
db #00,#5D,#00,#0C,#09,#09,#0C,#09,#09,#0C,#09,#09,#0C,#00,#00,#00
db #00,#00,#00,#07,#0A,#0A,#08,#0A,#0A,#08,#0A,#0A,#08,#00,#00,#00
db #00,#00,#00,#0C,#10,#11,#0C,#01,#02,#0C,#10,#11,#0C,#00,#00,#00
db #00,#00,#00,#07,#05,#05,#07,#04,#03,#07,#05,#05,#07,#00,#00,#00
db #16,#18,#53,#07,#09,#09,#09,#09,#09,#09,#09,#09,#07,#00,#53,#1C
db #2B,#51,#4E,#07,#10,#11,#07,#10,#11,#07,#10,#11,#07,#55,#51,#08
;enemy anim info
db 4	;guillotine has just 4 frames
;colors
db #46,#59,#47,#40 ;10,22,16,13

__data_mission_7:
str "AD_5355"
db "Int",26,"na",13,39,"al_Sp",48,34,"Sta",13,39,"_IS","S"+EOL
db "St",27,"du",23+EOL
str "Microchips"
db 2	;bot speaks first
db	1,	"M",40,",pair_k",29,"_i",35,"ne",27,"l",40,"c",20,"plete","^"+EOL
db	2,	"I",45,"too",45,21,"v",34,39,"l",40,39,34,18,",di",15,36,"left","["+EOL
db		SHC_wiz_item,"^_C",43,"_w",34,44,48,"h_",28,"skies","?"+EOL
db	2,	"Actua",24,"y",45,"w",34,"c",43,"^_",41,37,SHC_bot_item,33+EOL
db		43,37,32,"r",34,"i",35,19,"pl",48,34,38,"_sp",48,"e",33+EOL
db	2,	"W",34,"g",30,"t",30,"sp",48,"e?_",22,"h",39,"e",23,"l",40,23,27,36,"t","o"+EOL
db		"believ",34,"t",21,36,"y",46,"r_pl",43,"_c",17,"w",14,"k^","^"+EOL
db	1,	"Bu",36,16,"c",46,"rs",34,29,"_wi",24,"^"+EOL,EOT
;default bg
db TILE_LADDER

;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
;INSERT - START
;there are no ladder and platforms in level 7, so we use 64 bytes for keymaps
;always in the format line,bitmask,line,bitmask etc.

__keyboard_keymap:		;can be overwritten by menu_define_custom
	;   Q       A      O       P       space   esc
	db #48,#08,#48,#20,#44,#04,#43,#08,#45,#80,#48,#04
__joystick_keymap:
	;   up      down    left    right   Fire    Esc
	db #49,#01,#49,#02,#49,#04,#49,#08,#49,#10,#48,#04
__num_keymap:
	db #40,#08,#44,#02	;F9, 9
	db #41,#08,#45,#01	;F8, 8... etc.
	db #41,#04,#45,#02,#40,#10,#46,#01,#41,#10,#46,#02,#42,#10,#47,#01
	db #40,#20,#47,#02,#41,#40,#48,#02,#41,#20,#48,#01,#41,#80,#44,#01

;INSERT - END
;///////////////////////////////////////////////////////////////////////////////

;3 obstacles (planets)
db #F8,#00,#00,#00,#F0,#B7,#EE,#00,#D1,#5F,#FF,#88,#E3,#BF,#FF,#CC
db #C3,#5F,#FF,#EE,#E9,#2F,#FF,#EE,#E9,#5F,#7F,#FF,#BC,#2F,#AF,#FF
db #9E,#97,#5F,#5F,#8F,#C3,#AF,#BF,#47,#69,#1F,#6E,#47,#3C,#0F,#2C
db #23,#1E,#87,#7C,#11,#0F,#E1,#B8,#00,#8F,#78,#F0,#00,#33,#FE,#F1
db #00,#74,#E2,#00,#11,#F0,#F0,#88,#32,#F0,#F0,#C4,#56,#F0,#F0,#E2
db #07,#F0,#F0,#E0,#9E,#5A,#F0,#F1,#0F,#F0,#F0,#F0,#0F,#B4,#78,#F0
db #0F,#5A,#F0,#F0,#0F,#2D,#D2,#F0,#8F,#1E,#B4,#F1,#07,#4B,#D2,#E0
db #47,#0F,#2D,#A6,#23,#0F,#0F,#4C,#11,#0F,#0F,#88,#00,#47,#2E,#00
db #00,#74,#E2,#00,#11,#87,#1E,#88,#32,#78,#E1,#C4,#65,#E6,#76,#6A
db #52,#88,#11,#A4,#BD,#00,#00,#9F,#B5,#00,#00,#DA,#A4,#00,#00,#52
db #A4,#00,#00,#52,#B5,#00,#00,#DA,#BD,#00,#00,#DB,#52,#88,#11,#A4
db #65,#E6,#76,#6A,#32,#78,#E1,#C4,#11,#87,#1E,#88,#00,#74,#F3,#00
;3 enemy frames (martian)
db #07,#01,#0C,#13,#30,#BA,#C4,#47,#33,#F1,#88,#65,#30,#F0,#80,#60
db #60,#70,#C0,#C0,#70,#F0,#F2,#80,#77,#F0,#F2,#00,#BF,#F8,#E0,#01
db #BF,#F8,#F0,#81,#66,#F0,#F0,#E1,#08,#70,#F0,#E1,#3C,#F0,#F0,#E1
db #70,#F0,#F0,#80,#00,#10,#F0,#00,#00,#10,#C0,#00,#00,#07,#0C,#00
db #47,#08,#03,#08,#BC,#00,#32,#4C,#30,#C0,#F0,#22,#10,#F0,#E0,#02
db #10,#60,#70,#47,#10,#F0,#F0,#47,#11,#FE,#F0,#60,#23,#7E,#E0,#C0
db #2B,#7C,#FE,#80,#1D,#F8,#F0,#23,#70,#F0,#F0,#13,#30,#F0,#F0,#C6
db #00,#34,#F0,#A6,#00,#70,#90,#84,#23,#78,#00,#00,#00,#8F,#00,#00
db #9F,#00,#01,#4C,#1F,#00,#30,#0C,#38,#C0,#F0,#44,#10,#F0,#E0,#00
db #32,#30,#30,#00,#32,#F0,#F0,#03,#F6,#F3,#F0,#03,#5C,#C7,#E8,#60
db #59,#C7,#EA,#C0,#70,#FB,#F0,#80,#30,#F0,#F0,#00,#00,#10,#F0,#00
db #00,#30,#F0,#93,#13,#30,#B0,#A6,#23,#F0,#10,#4C,#00,#8E,#01,#88
;bg image map
db #5C,#5C,#5D,#00,#00,#00,#00,#00,#00,#00,#00,#00,#5C,#5A,#5B,#5B
db #5C,#5D,#00,#00,#00,#5E,#00,#00,#68,#00,#00,#00,#00,#68,#5D,#5E
db #00,#00,#5F,#5D,#61,#61,#00,#00,#00,#5D,#00,#61,#61,#00,#00,#00
db #00,#00,#00,#68,#0B,#0B,#00,#5D,#3C,#00,#00,#0B,#0B,#00,#00,#00
db #00,#00,#54,#00,#0B,#0B,#00,#29,#3B,#29,#68,#0B,#0B,#00,#00,#00
db #00,#5A,#59,#00,#60,#63,#65,#13,#5E,#12,#65,#63,#64,#00,#00,#5D
db #00,#00,#00,#00,#0B,#0B,#00,#00,#3B,#68,#00,#0B,#0B,#5D,#00,#00
db #00,#00,#5D,#00,#0B,#0B,#68,#00,#4B,#00,#5C,#0B,#0B,#00,#00,#00
db #00,#00,#00,#00,#62,#62,#68,#5D,#00,#00,#5D,#62,#62,#00,#67,#66
db #4B,#01,#02,#00,#00,#5D,#00,#00,#00,#5E,#00,#00,#00,#00,#2A,#43
;mission tiles
db 10	;Martians default 10 frames
;colors
db #54,#59,#4B,#5F ;0,22,26,14

;EPILOGUE
__data_epilogue:
str "5434_AD"
db  "S",20,"ewh",26,34,39,"_",28,"de",23,"roye",37,"E",27,"t","h"+EOL ;",39,"
db EOL, EOL 	;no items
db 1	;wiz speaks first
db 1,	"Goo",37,"job^_",22,50,38,"k_",22,21,"v",34,"a",24,"_",41,"d",">"+EOL
db 1,	"M",34,"too>_",22,"c",43,"`",36,"wa",29,"_t",30,23,27,36,"m",40,",pair","^"+EOL
db 2,	22,"wi",24,"_nee",37,19,"quie",36,"pl",48,"e",45,43,37,39,34,31+EOL
db 		"grav",29,"y",45,"t",30,"b,w_m",40,"po",13,39,">"+EOL
db 3,	"B",48,"k_t",30,"e",27,50,"_",29,"_is",45,32,"n>_W",34,39,"l",40,21,"v","e"+EOL
db		"t",30,"g",30,19,"few_ye",27,35,"t",30,28,"futur",34,43,"d"+EOL
db		"nobod",40,"wi",24,"_b",34," r",34,"t",30,"di",23,"urb_us",">"+EOL
db 1,	"Nobody?_Y",46,"_me",43,33+EOL
db 3, 	"Yes",45,"ex",48,"tly>_T",21,"t`",35,28,"futur",34,"w","e"+EOL
db 21,	"v",34,"t",30,"p,v",15,"t>_An",37,22,"w",27,"n_y",46,"["+EOL
db 		"It`",35,"no",36,19,"beau",13,"ful_pl",48,"e",">"+EOL,EOT
;default bg
db TILE_AIR

epilogue_gfx:

;\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
;INSERT - START
;except for the cauldron, there are no tile objects in the epilogue,
;so we use 208 bytes for...

;THE DEFAULT AVATAR VALUES
;*************************
__avatar_status_default:
;(these values are explained @ the beginning of dd-code.asm)
	;wiz
	db 0,#44,2,0:dw __LUT_wiz_sprites:db 3,#00
	dw __life_symbol_Wiz:db #00,#08,0,0,0,0
	;bot
	db 0,#44,#76,0:dw __LUT_bot_sprites:db 3,#3A
	dw __dead_symbol_Bot:db #00,#31,0,0,0,0


;THE TEXT SHORTCUTS
;******************
__txt_leveltexts_lookup:
	;Shortcuts 0-4 (these are links, actually)
	txadr_curr_year: dw 0
	txadr_curr_location: dw 0
	txadr_curr_wiz_item: dw 0
	txadr_curr_bot_item: dw 0
	txadr_level_title: dw 0
__txt_shortcuts:
	;Shortcuts 5-10, variable
	txadr_passcode:		str "______"	;5
	txadr_items_status:	str "33"		;6
	txadr_itemsgoal:	str "33"
	txadr_mission:		db EOL
	txadr_level:		db EOL
	txadr_timerastext:	str "___"		;10
	;Shortcuts 11-50, text abbreviations
	str "tem"				;11
	str "passcode"			;12
	str "ti"				;13
	str "or"				;14
	str "en"				;15
	str "of_"				;16
	db 46,"l",37+EOL		;17 ("ould_")
	db 38,"g"+EOL			;18 ("ing")
	str "a_"				;19
	str "om"				;20
	str "ha"				;21
	str "I_"				;22
	str "st"				;23
	str "ll"				;24
	db "et`",35+EOL			;25 ("et`s")
	str "er"				;26
	str "ar"				;27
	db 32,"_"+EOL				;28 ("the_")
	str "it"				;29
	str "o_"				;30
	db "w",29,"h","_"+EOL	;31 ("with_")
	db "t",49+EOL			;32	("the")
	str ">>>"				;33
	str "e_"				;34
	str "s_"				;35
	str "t_"				;36
	str "d_"				;37
	str "in"				;38
	str "on"				;39
	str "y_"				;40
	db 22,"ne","e"+EOL		;41 ("I_nee")
	db "f",14,"_"+EOL		;42 ("for_")
	str "an"				;43
	str "re"				;44
	str "]_"				;45 (", ")
	str "ou"				;46
	db "know_wh",26,34,"w"	;47...
	db 34,"c",43,"_f",38,37	;("know_where_we_can_find_that")
	db "t",21,"t"+EOL		;...
	str "ac"				;48
	str "he"				;49
	str "th"				;50

;LOOKUP TABLE FOR THE AVATAR SPRITES
;***********************************
__LUT_Wiz_sprites:
dw __Spr_Wiz_front,__Spr_Wiz_happy,__Spr_Wiz_dead,__Spr_Wiz_Climb1,__Spr_Wiz_Climb2
dw __Spr_Wiz_Right_even,__Spr_Wiz_Right_odd,__Spr_Wiz_Left_even,__Spr_Wiz_Left_odd
__LUT_Bot_sprites:
dw __Spr_Bot_front,__Spr_Bot_happy,__Spr_Bot_dead,__Spr_Bot_Climb1,__Spr_Bot_Climb2
dw __Spr_Bot_Right_even,__Spr_Bot_Right_odd,__Spr_Bot_Left_even,__Spr_Bot_Left_odd

;TOGGLE STRINGS FOR MAIN MENU
;****************************
;(length,values to xor...)
__toggle_OnOff:
	db 2,#08,#39							;change (O)n__/(O)ff_
__toggle_input:
	db 7,#01,#0A,#00,#11,#62,#78,#4E		;change "Keyboard"/"Joystick"
__toggle_monitor:
	db 4,#0E,#48,#03,#51					;toggle "Color"/"Mono_"


;GRAPHICS FOR THE SPARKLE ANIMATION
;**********************************
__anim_sparkle_gfx_data:					;in missions 3 ",38," 7
	db #BB,#44,#11,#EA,#BB,#44				;mask ",38," value

;GENERAL COLOR MAPS
;******************
__colors_header:
	db #54,#52,#4F,#5E
__colors_header_mono:
	db #54,#53,#4A,#4C
__colors_japan_underwater:
	db #44,#57,#46,#55


;DATA FOR THE SOLO TURN IN INTRO AND OUTRO
;*****************************************
__csc_turn_data:
	db 7,3,4,3,4,5,0,0

;INSERT ",45," END
;///////////////////////////////////////////////////////////////////////////////

org epilogue_gfx+#100
;3 Cauldron frames
db #23,#4C,#11,#00,#13,#8C,#23,#88,#FF,#FF,#FF,#FF,#F0,#F0,#F0,#F0
db #70,#F0,#F0,#E0,#74,#F0,#F0,#E2,#70,#F0,#F0,#E0,#F8,#F0,#F0,#F1
db #F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0
db #F8,#78,#96,#B5,#65,#78,#3C,#2E,#01,#2D,#2D,#08,#03,#0F,#0F,#08
db #00,#9F,#00,#00,#00,#6F,#11,#00,#FF,#FF,#FF,#FF,#F0,#F0,#F0,#F0
db #70,#F0,#F0,#E0,#74,#F0,#F0,#E2,#70,#F0,#F0,#E0,#F8,#F0,#F0,#F1
db #F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0
db #E9,#78,#E1,#F1,#74,#3C,#69,#6A,#10,#0F,#69,#0C,#03,#0F,#0F,#0C
db #00,#47,#88,#00,#00,#37,#08,#00,#FF,#FF,#FF,#FF,#F0,#F0,#F0,#F0
db #70,#F0,#F0,#E0,#74,#F0,#F0,#E2,#70,#F0,#F0,#E0,#F8,#F0,#F0,#F1
db #F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#F0,#69,#F0,#B4
db #E9,#78,#78,#79,#65,#3C,#3C,#6A,#03,#0F,#2D,#0C,#03,#0F,#0F,#0C
;bg map
db #5A,#5B,#5B,#5B,#5A,#5B,#59,#5B,#5B,#5A,#5A,#5B,#5B,#5B,#5B,#59
db #5F,#5D,#68,#3E,#5D,#5D,#5C,#5D,#5D,#5C,#3E,#5D,#5C,#63,#5C,#68
db #00,#00,#3C,#00,#00,#00,#5E,#00,#00,#00,#3A,#00,#00,#00,#00,#00
db #00,#0D,#0F,#00,#0D,#0F,#00,#3C,#53,#00,#00,#01,#02,#00,#00,#3E
db #15,#0B,#0B,#5B,#0B,#0B,#5B,#59,#51,#5A,#5B,#59,#5A,#5B,#59,#3B
db #00,#5A,#57,#57,#57,#57,#57,#57,#50,#57,#57,#57,#57,#57,#57,#57
db #00,#43,#15,#2B,#66,#59,#5B,#5B,#5C,#2C,#5C,#5D,#5C,#5C,#5C,#1C
db #00,#3C,#3A,#15,#3A,#3C,#15,#00,#15,#5C,#5D,#5C,#5D,#5C,#1C,#17
db #28,#0C,#0C,#66,#0C,#0C,#00,#1A,#15,#15,#5C,#5C,#5D,#1C,#17,#16
db #0C,#07,#2A,#2D,#08,#2B,#00,#15,#00,#1B,#15,#3C,#1C,#17,#16,#17
;enemy anim info
db 6	;cauldron has 6 frames
;colors
db #5E,#42,#47,#40

;##################################
;# DATA FOR THE PRO- AND EPILOGUE #
;##################################

	;0 = init wiz, 1 = init bot (x,y)
	;2-239=normal walk, followed by %AAXXYYSS
	;	AA=slope ("and" value)
	;	XX & YY = inc(10)/dec(11)/nop(00)
	;	SS = initial avatar sprite left(11)/right(10)/",21,"ppy(00)
	;#f0 = wait (de) frames

	;#F8 = clear level map
	;#f9 = draw items & cauldron
	;#fa = lightning flash
	;#fb = toggle time machine draw
	;#fc = time machine appears
	;#fd = show text
	;#fe = solo turn
	;#ff = end of list

__csc_intro_data:
	db #F8,1,#F0,140,#FD,18,SHC_location,">"+EOL,#F0,200,#FD,0,"_"+EOL,#F0,120
	db #FD,6,"A_cle",27,"_summ",26,"_nigh",36,38,"_",28,"ye",27,"_5375_BC",">"+EOL
	db #F0,200,#FD,0,"_"+EOL,#F0,80
	db #FD,6,"An_",43,"ci",15,36,"Drui",37,"appro",48,49,35,28,23,39,"es",33+EOL
	db 0,0,#43							;initialize wiz coords
	db 188,%01101110;7,inc,dec,RIGHT	;wiz walks to rightmost stone
	db #F0,60
	db #FD,0,"h",34,"p",26,"f",14,"m",35,"r",29,"ual_d",43,"ce",35,"t",30,"keep_",28,"god",35,21,"pp","y"+EOL
	db #FE								;first dance solo
	db 44,%00110011 ;3,dec,nop,LEFT		;goes to next stone
	db #FE,#Fe							;dances twice
	db 48,%00110011 ;3,dec,nop,LEFT		;goes to next stone
	db #FE,#Fe							;dances twice
	db 44,%00110011	;3,dec,nop,LEFT		;goes to next stone
	db #FE								;dances once
	db #FD,5,"bu",36,32,"n",45,"s",20,"e",50,18,"_unexpecte",37,21,"pp",15,"s",33+EOL
	db #F0,130,#FC						;time machine appears
	db 5,%01000000 ;7,nop,nop,HAPPY		;wiz arms up
	db 20,%01111010 ;7,dec,inc,RIGHT	;backs off
	db #F0,95,#FB
	db #FD,0,"_"+EOL					;clear status line
	db 132,%01101010 ;7,inc,inc,RIGHT	;walks down behind machine
	db 24,%00101010 ;3,inc,inc,RIGHT
	db 3,%01000011 ;7,nop,nop,LEFT		;comes closer
	db #F0,80,#FB
	db 112,%11110011 ;31,dec,nop,LEFT
	db 3,%01000010 ;7,nop,nop,RIGHT
	db #F0,170,1,#3E,#3E				;init bot
	db #FB,90,%01000000 ;7,nop,nop,HAPPY bot appears
	db 0,#26,#44,16,%00110010 ;3,dec,nop,RIGHT	;wiz backs off
	db 1,#3E,#3e,48,%00101010 ;1,inc,inc,RIGHT	;bot steps out
	db #F0,60,#FB,3,%01000011,#F0,95,0,#1E,#44,52,%10110010
	db 1,#56,#44,64,%10100011,#F0,120
	db #FF								;EOL

__csc_outro_data:
	db #F8,1,#F0,140,#FD,21,28,"ye",27,"_",SHC_year+EOL
	db #F0,180,#FD,0,"_"+EOL
	db #F0,60,#FA,60,#FD,10,SHC_location+EOL
	db #F0,130,#FD,0,"_"+EOL,#F0,80
	db #FA,1,#F9,#FF				;flash ",38," items appear
	db #FD,1,"Our_",49,"roe",35,21,"v",34,"ga ,",37,"ev",26,"y",50,18,"_",32,40,"nee","d"+EOL
	db #F0,130,#FD,0,"_"+EOL,#F0,100
	db 1,76,68				;flash ",38," bot appears
	db #FD,12,"Droi",37,"i",35,",ad",40,42,"hi",35,",pair","s"+EOL
	db #F0,160,0,46,68		;flash ",38," wiz appears
	db #FD,12,43,37,"Drui",37,"i",35,"b,w",18,"_hi",35,"po",13,39+EOL
	db #F0,160
	db 16,#33,#F0,16,24,#22,#FA,16 ;wiz goes to next item and back to cauldron
	db 1,76,68,12,#22,#F0,16,#FE	 ;bot goes to next item and turns
	db #FD,0,"_"+EOL				 ;clear text line
	db 0,48,68,32,#33,#F0,16,36,#22,#FA,16	;etc. x 7
	db 1,82,68,12,#22,#F0,16,#FE
	db 0,48,68,44,#33,#F0,16,48,#22,#FA,16
	db 1,88,68,12,#22,#F0,16,#FE
	db 0,48,68,56,#33,#F0,16,60,#22,#FA,16
	db 1,94,68,12,#22,#F0,16,#FE
	db 0,48,68,68,#33,#F0,16,72,#22,#FA,16
	db 1,100,68,12,#22,#F0,16,#FE
	db 0,48,68,80,#33,#F0,16,84,#22,#FA,16
	db 1,106,68,12,#22,#F0,16,#FE
	db 0,48,68,92,#33
	db 1,112,68,12,#22,#F0,16,#FE		;last round bot "interrupts"
	db 0,2,68,96,#22,#FA,16
	db 0,48,68,16,#22					;wiz goes in front of cauldron
	db #F8,1						 	;cauldron dissapears
	db #FE,0,54,68,104,#33				;turns, drinks & goes left
	db #F0,#10
	db #FF

;#######################
;# INTRO DIALOGUE TEXT #
;#######################

__intro_dialogue:
db 	2
db	1,	"G,et",18,"s",45,30,"Druid","^"+EOL
db	2,	"W",21,"t",33,"_",27,34,"y",46,33+EOL
db		33,19,"GOD",33,"?"+EOL
db	1,	"No",45,"I","`","m_",43,"_Android>_A_Robot",">"+EOL
db	1,	"A_Ro=WHAT","?"+EOL
db	2,	"A_Ro=BOT","^"+EOL
db 		"I","`","m_",19,"m",48,"h",38,"e",45,19,"m",26,34,"c",39,"trap",13,39,">"+EOL
db	1,	"S",30,"y",46,"`","r",34,"lifeless?_N",30,"s",46,"l?"
db		"_N",30,49,27,"t","?"+EOL,EOT

db 	2
db	2,	"N",39,34,"a",36,"a",24,">_Jus",36,"m",48,"h",38,26,"y>_",22,"wa","s"+EOL
db		"s",15,36,"h",26,34,"b",40,"hum",43,35,"fr",20,"_",28,"futu,",">"+EOL
db	1,	"How_exc",29,18,"^_Te",24,"_m",34,"ab",46,36,28,"futu,","^"+EOL
db	2,	"We",24,45,"a",35,19,"matt",26,"_",16,"f",48,"t",45,29,"`",35,"t",26,"rible","["+EOL
db		"Climat",34,"crisis",45,"p",43,"demics",45,"w",27,"s",33+EOL
db 	3,	22,"saw_a",24,"_",16,50,"i",35,38,"_",19,"visi",39,"_",39,"ce","^"+EOL
db		"So",45,"i",36,"wasn","`",36,19,"d,am",45,32,"n",33+EOL
db		"Bu",36,"wh",40,"di",37,"y",46,"_travel_",49,",","?"+EOL
db	2,	"Onl",40,"b",40,"jo",38,18,"_y",46,"r_ol",37,"wisd",20,"_",43,37,"m","y"+EOL
db		"technology",45,"w",34,"c",43,"_sav",34,28,"pl",43,"e","t","^"+EOL,EOT

db 	1
db	1,	"Me?_",22,"am_old",33,"_",43,37,"weak","^"+EOL
db	1,	"Bu",36,41,37,"y",46,"r_",49,"lp","^"+EOL
db	2,	22,"w",17,21,"v",34,"t",30,"b,w_",19,"special_po",13,39+EOL
db		"t",30,",ga",38,"_m",40,23,",nghts",">"+EOL
db 	3,	"I",45,"to",30,"c",17,"nee",37,"s",20,34,"h",27,"dwa",","+EOL
db		",pair>_T",49,"s",34,SHC_bot_item,"_",23,39,"e",35,49,44+EOL
db	 	"w",17,"b",34,"useful",">"+EOL
db	2,	SHC_bot_item,"?_T",49,"s",34,23,39,"e",35,27,34,"deadl","y"+EOL
db		42,"me>_",22,"c",43,"`",36,"t",46,"ch_ m","^"+EOL
db	1,	"W",21,36,"d",30,"y",46,"_nee",37,42,"y",46,"r_po",13,39,"?"+EOL,EOT

db 	1
db	1,	"Firs",36,16,"a",24,45,41,37,"s",48,44,37,SHC_wiz_item,">"+EOL
db 	2,	SHC_wiz_item,"_w",17,"ru",38,"_m",40,"circu",29,"s>_Bu","t"+EOL
db 		"l",25,"tr",40,"t",30,"co",24,"ec",36,"w",21,36,"w",34,"need",33+EOL
db 	1,	33,"ca,fu",24,40,"avoid",18,"_",28,"o",32,"r`",35,"i",11,"s","^"+EOL
db	1,	"A_t,a",36,42,39,"e",33+EOL
db	1,	33,"i",35,19,50,",a",36,42,28,"o r","^"+EOL
db	1,	"So",45,22,"gues",35,50,"i",35,"i",35,28,"whol",34,"game",33+EOL
db	1,	"An",37,"w",21,36,"doe",35,46,"r_play",26,"_do","?"+EOL,EOT

db 	2
db 	1,	"Gam",34,"c",39,"trols","["+EOL
db 	1, 	"Mov",34,"M",34,31,"Joy",23,"ick_",14,"_QAOP_keys",33+EOL
db 	2,	"An",37,"t",30,"mov",34,"Me",45,"add",29,"i",39,"a",24,40,"hol",37,"Fi",","+EOL
db 	 	14,"_Sp",48,"e"+EOL
db	1,	"Ab",14,36,28,"gam",34,31,"ESC",33+EOL
db	1,	"An",37,"d",39,"`",36,"f",14,"ge",36,28,"level_",12,"s","^"+EOL
db	1,	"OK",45,"l",25,"d",30,50,"is","^"+EOL,EOT

__outro_dialogue:
db 	1
db	2,	"Wow^_Thi",35,"po",13,39,"_i",35,"0tua",24,40,38,"c,dible","^"+EOL
db	  	22,"feel_lik",34,19,23,"r",39,"g_y",43,"ng_m",43,"_now","^"+EOL
db	2,	"I`m_qu",29,34,"sa",13,"sfie",37,31,28,",sul",36,"o","f"+EOL
db 		"m",40,44,"pair_a",35,"we",24,">"+EOL
db 	1,	"S",30,"w",21,36,27,34,"w",34,"s",13,24,"_wai",13,"ng_f",14,"?"+EOL
db 	1,	22,"d",39,"`",36,"know^_L",25,"go","^"+EOL
db 	1,	"L",25,"sav",34,28,"w",14,"ld","^"+EOL,EOT


;##############
;# TEXT PAGES #
;##############

__textpage_menu:
;pen 2
dw SCRBASE_GAME+#00D6:db "4_T",49,"_prologu","e"+EOL
dw SCRBASE_GAME+#2117:db "5_L",25,"Play^^","^"+EOL
dw SCRBASE_GAME+#0198:db "6_C",21,24,15,"g","e"+EOL
dw SCRBASE_GAME+#024E:db "7_Us",34:__text_input:db "Keybo",27,37,"_"+EOL
dw SCRBASE_GAME+#228F:db "8_Def",38,34,"key","s"+EOL
dw SCRBASE_GAME+#0310:db  "9_M",39,29,14,"[_":__text_monitor:db "Col",14,"_"+EOL
dw SCRBASE_GAME+#0264:db  ":_Music[_O":__text_music:str "n__"
dw SCRBASE_GAME+#22A5:db  ";_SFX[_O":__text_sfx:str "n__"
dw SCRBASE_GAME+#0326:str "<_Reset"
db #FF
dw SCRBASE_GAME+#0455:db "5355_b",40,"Leosof","t"+EOL
dw SCRBASE_GAME+#2490:db "code",45,"gfx_@_music[_",27,"nOLd","E"+EOL

__textpage_level:
db #FF
dw SCRBASE_GAME+#0092:db SHC_location+EOL
dw SCRBASE_GAME+#00D2:db SHC_year+EOL
dw SCRBASE_GAME+#0192:db 12,"[_",SHC_passcode+EOL
db #FF
dw SCRBASE_GAME+#0152:db SHC_message+EOL
dw SCRBASE_GAME+#0084:db "MISSION_",SHC_mission+EOL
dw SCRBASE_GAME+#0144:db "LEVEL_",SHC_level+EOL
db #FF
dw SCRBASE_GAME+#0212:db SHC_timertext,"sec",39,"d","s"+EOL
dw SCRBASE_GAME+#0292:db "Co",24,"ec",36,SHC_itemsgoal,"_i",11,35,"e",48,"h"+EOL
dw SCRBASE_GAME+#2310:db "I",11,"_",42,"Druid[_",SHC_wiz_item+EOL
dw SCRBASE_GAME+#0204:db "TIM","E"+EOL
dw SCRBASE_GAME+#0284:db "GOA","L"+EOL
dw SCRBASE_GAME+#0390:db "I",11,"_",42,"Droid[_",SHC_bot_item+EOL
;if needed:
db #FF
dw SCRBASE_GAME+#23D0:db 33,"@_a",24,"_",28,"p",44,"vi",46,35,"i",11,"s"+EOL

;##############
;# MISC TEXTS #
;##############

__txt_last_msg:
	str "THE_END"
_decimal_pair_ascii:
	str "33_"
__bigtxt_directions:
	db "QUPQQ","D3JNQ","LEFTQ","RIGHT","FIREQ","AB3RT"
__bigtxt_aborted:
		db #50,12,"GAMEQAB3RTED"
__bigtxt_gameover:
 		db #55,09,"GAMEQ3VER"
__bigtxt_timeout:
		db #56,08,"TIMEQ3UT"
__bigtxt_levelcleared:
 		db #4F,13,"LEVELQCLEARED"
__bigtxt_missioncleared:
		db #4C,15,"MISSI3NQCLEARED"
__bigtxt_gamewon:
		db #56,08,"GAMEQJ3N"
__bigtxt_credits:
		db #54,09,"CREDITSK" ;-> goes on with...
	_game_credits:	str "X_"
__bigtxt_score:
		db #51,12,"SC3REK" ;-> goes on with...
	__game_score_ascii:	str "333333]_"
